import { Config } from '@oclif/core';
export declare namespace Updater {
    type Options = {
        autoUpdate: boolean;
        channel?: string | undefined;
        version?: string | undefined;
        force?: boolean;
    };
    type VersionIndex = Record<string, string>;
}
export declare class Updater {
    private config;
    private readonly clientRoot;
    private readonly clientBin;
    constructor(config: Config);
    runUpdate(options: Updater.Options): Promise<void>;
    findLocalVersions(): Promise<string[]>;
    fetchVersionIndex(): Promise<Updater.VersionIndex>;
    private ensureClientDir;
    private composeS3SubDir;
    private s3ChannelManifestKey;
    private s3VersionManifestKey;
    private s3VersionIndexKey;
    private fetchChannelManifest;
    private fetchVersionManifest;
    private fetchManifest;
    private downloadAndExtract;
    private update;
    private updateToExistingVersion;
    private notUpdatable;
    private alreadyOnVersion;
    private determineChannel;
    private determinePlatform;
    private determineCurrentVersion;
    private findLocalVersion;
    private setChannel;
    private logChop;
    private mtime;
    private debounce;
    private tidy;
    private touch;
    private refreshConfig;
    private createBin;
}
