"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.encodeBody = void 0;
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const types_1 = require("./types");
const util = require("util");
function escapeXml(data) {
    return data.replace(/[<>&'"]/g, char => {
        return types_1.xmlCharMap[char];
    });
}
function encodeBody(accessToken, data) {
    const escapedData = escapeXml(data);
    const actionBody = `<apexcode>${escapedData}</apexcode>`;
    const debugHeader = '<apex:DebuggingHeader><apex:debugLevel>DEBUGONLY</apex:debugLevel></apex:DebuggingHeader>';
    const body = util.format(types_1.soapTemplate, accessToken, debugHeader, types_1.action, actionBody, types_1.action);
    return body;
}
exports.encodeBody = encodeBody;
//# sourceMappingURL=utils.js.map