/**
 * Conventions:
 * _message: is for unformatted text that will be shown as-is to
 * the user.
 * _text: is for text that will appear in the UI, possibly with
 * decorations, e.g., $(x) uses the https://octicons.github.com/ and should not
 * be localized
 *
 * If ommitted, we will assume _message.
 */
export declare const messages: {
    unexpectedExecuteCommandError: string;
    fileNotFoundError: string;
    missingInfoLogError: string;
    numLogsError: string;
    optionExecAnonError: string;
    unexpectedExecAnonInputError: string;
    coverageReportCreationError: string;
    execAnonInputPrompt: string;
    execAnonInputTimeout: string;
    noTestResultSummary: string;
    noTestQueueResults: string;
    noAccessTokenFound: string;
    streamingHandshakeFail: string;
    streamingTransportUp: string;
    streamingTransportDown: string;
    streamingProcessingTestRun: string;
    retrievingTestRunSummary: string;
    queryingForAggregateCodeCoverage: string;
    abortingTestRun: string;
    abortingTestRunRequested: string;
    failRate: string;
    testsRan: string;
    orgId: string;
    outcome: string;
    passRate: string;
    skipRate: string;
    testStartTime: string;
    testExecutionTime: string;
    testRunId: string;
    userId: string;
    username: string;
    orgWideCoverage: string;
    nameColHeader: string;
    valueColHeader: string;
    testSummaryHeader: string;
    testNameColHeader: string;
    outcomeColHeader: string;
    msgColHeader: string;
    runtimeColHeader: string;
    testResultsHeader: string;
    classesColHeader: string;
    percentColHeader: string;
    classTestedHeader: string;
    uncoveredLinesColHeader: string;
    codeCovHeader: string;
    detailedCodeCovHeader: string;
    syncClassErr: string;
    resultFormatErr: string;
    invalidTestRunIdErr: string;
    invalidsObjectErr: string;
    payloadErr: string;
    suitenameErr: string;
    missingSuiteErr: string;
    missingTestClassErr: string;
    testSuiteMsg: string;
    classSuiteMsg: string;
    error_no_default_username: string;
    trace_flags_unknown_user: string;
    trace_flags_failed_to_create_debug_level: string;
    trace_flags_failed_to_find_debug_level: string;
    runIdFormatErr: string;
    covIdFormatErr: string;
    startHandshake: string;
    finishHandshake: string;
    subscribeStarted: string;
};
