"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.toJsonArray = exports.toJsonMap = exports.toAnyJson = void 0;
const errors_1 = require("../errors");
const as_1 = require("./as");
// underlying function
function toAnyJson(value, defaultValue) {
    try {
        return (value !== undefined ? JSON.parse(JSON.stringify(value)) : defaultValue);
    }
    catch (err) {
        throw new errors_1.JsonCloneError(err);
    }
}
exports.toAnyJson = toAnyJson;
// underlying function
function toJsonMap(value, defaultValue) {
    return (0, as_1.asJsonMap)(toAnyJson(value)) ?? defaultValue;
}
exports.toJsonMap = toJsonMap;
// underlying method
function toJsonArray(value, defaultValue) {
    return (0, as_1.asJsonArray)(toAnyJson(value)) ?? defaultValue;
}
exports.toJsonArray = toJsonArray;
//# sourceMappingURL=to.js.map