import { SfCommand } from '@salesforce/sf-plugins-core';
import { Config } from '@oclif/core';
export declare abstract class AuthBaseCommand<T> extends SfCommand<T> {
    constructor(argv: string[], config: Config);
    protected askForHiddenResponse(messageKey: string, disableMasking?: boolean): Promise<string>;
    protected shouldExitCommand(noPrompt?: boolean, message?: string): Promise<boolean>;
    protected shouldRunCommand(noPrompt?: boolean, message?: string, defaultAnswer?: boolean): Promise<boolean>;
    protected askForClientSecret(disableMasking?: boolean): Promise<string>;
    protected askForAccessToken(disableMasking?: boolean): Promise<string>;
    protected askOverwriteAuthFile(username: string): Promise<boolean>;
}
