/// <reference types="node" />
import { AuthFields } from '@salesforce/core';
import { Interfaces } from '@oclif/core';
import { AuthBaseCommand } from '../../../authBaseCommand';
export default class LoginAccessToken extends AuthBaseCommand<AuthFields> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly deprecateAliases = true;
    static aliases: string[];
    static readonly flags: {
        'instance-url': Interfaces.OptionFlag<import("url").URL, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'set-default-dev-hub': Interfaces.BooleanFlag<boolean>;
        'set-default': Interfaces.BooleanFlag<boolean>;
        alias: Interfaces.OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'no-prompt': Interfaces.BooleanFlag<boolean>;
        loglevel: Interfaces.OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    private flags;
    run(): Promise<AuthFields>;
    private getUserInfo;
    private storeAuthFromAccessToken;
    private saveAuthInfo;
    private overwriteAuthInfo;
    private getAccessToken;
}
