/// <reference types="node" />
import { AuthFields } from '@salesforce/core';
import { DeviceCodeResponse } from '@salesforce/core/lib/deviceOauthService';
import { AuthBaseCommand } from '../../../authBaseCommand';
export type DeviceLoginResult = (AuthFields & DeviceCodeResponse) | Record<string, never>;
export default class LoginDevice extends AuthBaseCommand<DeviceLoginResult> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static aliases: string[];
    static readonly flags: {
        'client-id': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'instance-url': import("@oclif/core/lib/interfaces").OptionFlag<import("url").URL | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'set-default-dev-hub': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'set-default': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        alias: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'disable-masking': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        loglevel: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    run(): Promise<DeviceLoginResult>;
}
