import { Optional } from '@salesforce/ts-types';
/**
 * Checks if value is empty. A value is considered empty unless it’s an arguments object, array, string, or
 * jQuery-like collection with a length greater than 0 or an object with own enumerable properties.
 *
 * @param value The value to inspect.
 */
export declare function isEmpty(value: unknown): boolean;
/**
 * Converts the first character of `string` to lower case.
 *
 * @param string The string to convert.
 */
export declare function lowerFirst(value: string): string;
/**
 * @see lowerFirst
 */
export declare function lowerFirst(value?: string): Optional<string>;
/**
 * Formats a camel case style `string` into a title case.
 *
 * @param text Text to transform.
 */
export declare function camelCaseToTitleCase(text: string): string;
/**
 * Converts string to snake case.
 *
 * @param str The string to convert.
 */
export declare function snakeCase(str: string): string;
export declare function snakeCase(str?: string): Optional<string>;
/**
 * Converts the first character of `string` to upper case.
 *
 * @param string The string to convert.
 */
export declare function upperFirst(value: string): string;
/**
 * @see upperFirst
 */
export declare function upperFirst(value?: string): Optional<string>;
/**
 * Converts value to a boolean.
 *
 * @param value The value to convert
 * @returns boolean
 */
export declare function toBoolean(value: unknown): boolean;
