import { JsonMap } from '@salesforce/ts-types';
import { SfCommand } from '@salesforce/sf-plugins-core';
import { CommunityCreateResponse } from '../../shared/community/defs/CommunityCreateResponse';
/**
 * A command to create a community.
 * This is just an sfdx wrapper around the community create connect endpoint
 */
export declare class CommunityCreateCommand extends SfCommand<CommunityCreateResponse> {
    static readonly deprecateAliases = true;
    static readonly aliases: string[];
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly strict = false;
    static readonly flags: {
        name: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'template-name': import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'url-path-prefix': import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        description: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'target-org': import("@oclif/core/lib/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        loglevel: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'api-version': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    run(): Promise<CommunityCreateResponse>;
    private displayResults;
}
export declare const getTemplateParamObjectFromArgs: (args: Record<string, string | undefined>) => JsonMap;
