import { SfCommand } from '@salesforce/sf-plugins-core';
import { CommunityPublishResponse } from '../../shared/community/defs/CommunityPublishResponse';
/**
 * A command to publish a community. This is just an sfdx wrapper around
 * the community publish connect endpoint
 */
export declare class CommunityPublishCommand extends SfCommand<CommunityPublishResponse> {
    static readonly deprecateAliases = true;
    static readonly aliases: string[];
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly flags: {
        name: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'target-org': import("@oclif/core/lib/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'api-version': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        loglevel: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    run(): Promise<CommunityPublishResponse>;
    private displayResults;
}
