import { JsonCollection } from '@salesforce/ts-types';
import { HttpMethods } from 'jsforce';
import { CommunityCreateResponse } from '../defs/CommunityCreateResponse';
import { CommunityCreateParams } from '../defs/CommunityCreateParams';
import { ConnectResource } from '../../connect/services/ConnectResource';
declare const NAME_KEY = "name";
declare const JOBID_KEY = "jobId";
/**
 * A connect api resource for creating a community
 */
export declare class CommunityCreateResource implements ConnectResource<CommunityCreateResponse> {
    private options;
    constructor(options: CommunityCreateParams);
    handleSuccess(result: JsonCollection & {
        [NAME_KEY]: string;
        [JOBID_KEY]: string;
    }): CommunityCreateResponse;
    handleError(error: Error): CommunityCreateResponse;
    fetchRelativeConnectUrl(): Promise<string>;
    getRequestMethod(): HttpMethods;
    fetchPostParams(): Promise<string>;
}
export {};
