import { JsonCollection } from '@salesforce/ts-types';
import { Org } from '@salesforce/core';
import { HttpMethods } from 'jsforce';
import { CommunityPublishResponse } from '../defs/CommunityPublishResponse';
import { ConnectResource } from '../../connect/services/ConnectResource';
/**
 * A connect api resource for publishing a community
 */
export type CommunityPublishResourceOptions = {
    name: string;
    org: Org;
};
export declare class CommunityPublishResource implements ConnectResource<CommunityPublishResponse> {
    private options;
    private info?;
    constructor(options: CommunityPublishResourceOptions);
    fetchRelativeConnectUrl(): Promise<string>;
    getRequestMethod(): HttpMethods;
    fetchPostParams(): Promise<string>;
    handleSuccess(result: JsonCollection & {
        id: string;
        name: string;
        url: string;
        jobId: string;
    }): CommunityPublishResponse;
    handleError(error: Error): CommunityPublishResponse;
    fetchCommunityId(): Promise<string>;
}
