import { HttpMethods } from 'jsforce';
import { ConnectResource } from '../../connect/services/ConnectResource';
import { CommunityTemplatesListResponse } from '../defs/CommunityTemplatesListResponse';
/**
 * A connect api resource for fetching community templates available to context user
 */
export declare class CommunityTemplatesResource implements ConnectResource<CommunityTemplatesListResponse> {
    fetchRelativeConnectUrl(): Promise<string>;
    fetchPostParams(): Promise<string>;
    getRequestMethod(): HttpMethods;
    handleSuccess(result: CommunityTemplatesListResponse): CommunityTemplatesListResponse;
    handleError(error: Error): CommunityTemplatesListResponse;
}
