import { JsonMap } from '@salesforce/ts-types';
/**
 * SFDX command parameters when creating a community
 */
export type CommunityCreateParams = {
    /**
     * name of the community to create
     */
    name: string;
    /**
     * template name to be used to create a community
     */
    templateName: string;
    /**
     * url path prefix of the community.
     */
    urlPathPrefix: string;
    /**
     * the description for the community
     */
    description?: string;
    /**
     * template parameters for the template used to create the community
     */
    templateParams?: JsonMap;
};
