import { CommunityStatus } from './CommunityStatusEnum';
/**
 * SFDX command output when publishing a community
 */
export type CommunityPublishResponse = {
    /**
     * community ID
     */
    id: string;
    /**
     * output message
     */
    message: string;
    /**
     * name of the community
     */
    name: string;
    /**
     * community status (Active/Inactive/DownForMaintainance)
     */
    status?: CommunityStatus;
    /**
     * url to access the community
     */
    url: string;
    /**
     * id of the BackgroundOperation that runs the publish job
     */
    jobId?: string;
};
