import { Org } from '@salesforce/core';
import { QueryResult, Record } from 'jsforce';
import { CommunityInfo } from '../defs/CommunityInfo';
/**
 * Helper services for Communities
 */
export declare class CommunitiesServices {
    /**
     * Get community name from the given id
     *
     * @param org - the org to query
     * @param name - the given community name
     *
     * @returns - the community id for the given name
     */
    static fetchCommunityInfoFromName(org: Org, name?: string): Promise<CommunityInfo | undefined>;
}
export declare const runQuery: <T extends Record>(org: Org, query: string) => Promise<QueryResult<T>>;
