"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runQuery = exports.CommunitiesServices = void 0;
/**
 * Helper services for Communities
 */
class CommunitiesServices {
    /**
     * Get community name from the given id
     *
     * @param org - the org to query
     * @param name - the given community name
     *
     * @returns - the community id for the given name
     */
    static async fetchCommunityInfoFromName(org, name) {
        if (!name) {
            return undefined;
        }
        const result = await (0, exports.runQuery)(org, `SELECT Id, Status FROM NETWORK WHERE NAME = '${name}'`);
        if (result.totalSize > 0) {
            const record = result.records[0];
            return {
                name,
                id: record.Id,
                status: record.Status,
            };
        }
    }
}
exports.CommunitiesServices = CommunitiesServices;
const runQuery = async (org, query) => org.getConnection().query(query);
exports.runQuery = runQuery;
//# sourceMappingURL=CommunitiesServices.js.map