import { SfCommand } from '@salesforce/sf-plugins-core';
import { CustomField } from 'jsforce/api/metadata';
export interface CmdtRecordCreateResponse {
    typename: string;
    recordname: string;
    label: string;
    inputdir: string;
    outputdir: string;
    protectedFlag: boolean;
    varargs: Record<string, unknown>;
    fileData: CustomField[];
}
export default class Create extends SfCommand<CmdtRecordCreateResponse> {
    static readonly strict = false;
    static readonly summary: string;
    static readonly description: string;
    static readonly requiresProject = true;
    static aliases: string[];
    static readonly examples: string[];
    static readonly flags: {
        loglevel: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'type-name': import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'record-name': import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        label: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        protected: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'input-directory': import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'output-directory': import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    run(): Promise<CmdtRecordCreateResponse>;
}
