/// <reference types="node" />
import * as fs from 'fs';
interface FileWriterResult {
    dir: string;
    fileName: string;
    updated: boolean;
}
/**
 * Using the given file system, creates a file representing a new custom metadata type.
 *
 * @param fs
 * @param devname
 * @param objectXML
 */
export declare const writeTypeFile: (corefs: typeof fs | undefined, dir: string, devName: string, objectXML: string) => Promise<FileWriterResult>;
/**
 * Using the given file system, creates a file representing a new field for the given custom metadata type
 *
 * @param fs
 * @param fieldname
 * @param fieldXML
 */
export declare const writeFieldFile: (corefs: typeof fs | undefined, dir: string, fieldName: string | undefined | null, fieldXML: string) => Promise<FileWriterResult>;
export {};
