import { CustomObject, CustomField } from 'jsforce/api/metadata';
import { Record } from 'jsforce';
/**
 * Returns describe object for the field API name from the Object API name you specify
 *
 * @param  objDescribe  describe object JSON
 * @param  fieldName API name of the field to query
 * @returns Promise - Promise - record in JSON format
 */
export declare const describeField: (objDescribe: CustomObject, fieldName: string) => CustomField | undefined;
/**
 * Returns true if the object name you specify is a list type custom setting
 *
 * @param  objName object describe JSON
 * @returns boolean
 */
export declare const validCustomSettingType: (objDescribe: CustomObject) => boolean;
/**
 * Returns describe object for all fields from the object  API name you specify
 *
 * @param  objDescribe object describe JSON
 * @returns Promise - Promise - record in JSON format
 */
export declare const describeObjFields: (objDescribe: CustomObject) => CustomField[];
export declare const cleanQueryResponse: (sObjectRecord: Record, objectDescribe: CustomObject) => Record;
