/**
 * Returns true if the name is a valid api name for an sobject/field
 *
 * @param  name API name of the object
 */
export declare const validateAPIName: (name: string, message?: string) => string;
/**
 * Returns true if the fieldname is a valid metadata object name
 *
 * @param  fieldName API name of the field
 */
export declare const validateMetadataTypeName: (typeName: string) => string;
export declare const isValidMetadataRecordName: (recordName: string) => boolean;
/**
 * Returns true if the fieldname is a valid metadata record name
 *
 * @param  fieldName record name of a metadata record
 */
export declare const validateMetadataRecordName: (typeName: string) => string;
/**
 * Returns true if name is below 40 characters
 *
 * @param  name label name or plural label
 */
export declare const validateLessThanForty: (name: string, message: string) => string;
