import { CustomField } from 'jsforce/api/metadata';
/**
 * Using the given data and visibility, creates the body of a type metadata file
 *
 * @param data
 * @param visibility
 */
export declare const createObjectXML: ({ label, pluralLabel }: {
    label: string;
    pluralLabel: string;
}, visibility: string) => string;
/**
 * Using the given data and defaultToString, creates the body for a field file.
 *
 * @param data Record details
 * @param defaultToString If the defaultToString set type to Text for unsupported field types
 */
export declare const createFieldXML: (data: CustomField, defaultToString: boolean) => string;
export declare const createDefaultTypeStructure: (fullName: string, type: string, label: string, picklistValues?: string[], decimalplaces?: number) => CustomField;
export declare const canConvert: (type: string | undefined | null) => boolean;
