import { Org } from '@salesforce/core';
import { SfCommand } from '@salesforce/sf-plugins-core';
import { Duration } from '@salesforce/kit';
import { DeployResultJson } from '../../../utils/types';
export default class DeployMetadataQuick extends SfCommand<DeployResultJson> {
    static readonly description: string;
    static readonly summary: string;
    static readonly examples: string[];
    static readonly requiresProject = true;
    static readonly aliases: string[];
    static readonly deprecateAliases = true;
    static readonly flags: {
        async: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        concise: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'job-id': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'target-org': import("@oclif/core/lib/interfaces").OptionFlag<Org | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'use-most-recent': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        verbose: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        wait: import("@oclif/core/lib/interfaces").OptionFlag<Duration, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'api-version': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    static errorCodes: import("@oclif/core").HelpSection;
    run(): Promise<DeployResultJson>;
    protected catch(error: SfCommand.Error): Promise<SfCommand.Error>;
}
