import { SfError } from '@salesforce/core';
import { SfCommand } from '@salesforce/sf-plugins-core';
import { DeployResultJson, TestLevel } from '../../../utils/types';
export default class DeployMetadata extends SfCommand<DeployResultJson> {
    static readonly description: string;
    static readonly summary: string;
    static readonly examples: string[];
    static readonly aliases: string[];
    static readonly deprecateAliases = true;
    static readonly flags: {
        'api-version': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        async: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        concise: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'dry-run': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'ignore-conflicts': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'ignore-errors': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'ignore-warnings': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        manifest: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        metadata: import("@oclif/core/lib/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'metadata-dir': import("@oclif/core/lib/interfaces").OptionFlag<import("../../../utils/types").PathInfo | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'single-package': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'source-dir': import("@oclif/core/lib/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'target-org': import("@oclif/core/lib/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        tests: {
            helpGroup: string;
            name: string;
            char?: import("@oclif/core/lib/interfaces").AlphabetLowercase | import("@oclif/core/lib/interfaces").AlphabetUppercase | undefined;
            summary?: string | undefined;
            description?: string | undefined;
            helpLabel?: string | undefined;
            env?: string | undefined;
            hidden?: boolean | undefined;
            required?: boolean | undefined;
            dependsOn?: string[] | undefined;
            exclusive?: string[] | undefined;
            exactlyOne?: string[] | undefined;
            relationships?: import("@oclif/core/lib/interfaces/parser").Relationship[] | undefined;
            deprecated?: true | import("@oclif/core/lib/interfaces").Deprecation | undefined;
            aliases?: string[] | undefined;
            deprecateAliases?: boolean | undefined;
            delimiter?: "," | undefined;
            type: "option";
            helpValue?: string | undefined;
            options?: string[] | undefined;
            multiple: false;
            parse: import("@oclif/core/lib/interfaces/parser").FlagParser<string[] | undefined, string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
            defaultHelp?: import("@oclif/core/lib/interfaces/parser").FlagDefaultHelp<string[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
            input: string[];
            default?: import("@oclif/core/lib/interfaces/parser").FlagDefault<string[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        } | {
            helpGroup: string;
            name: string;
            char?: import("@oclif/core/lib/interfaces").AlphabetLowercase | import("@oclif/core/lib/interfaces").AlphabetUppercase | undefined;
            summary?: string | undefined;
            description?: string | undefined;
            helpLabel?: string | undefined;
            env?: string | undefined;
            hidden?: boolean | undefined;
            required?: boolean | undefined;
            dependsOn?: string[] | undefined;
            exclusive?: string[] | undefined;
            exactlyOne?: string[] | undefined;
            relationships?: import("@oclif/core/lib/interfaces/parser").Relationship[] | undefined;
            deprecated?: true | import("@oclif/core/lib/interfaces").Deprecation | undefined;
            aliases?: string[] | undefined;
            deprecateAliases?: boolean | undefined;
            delimiter?: "," | undefined;
            type: "option";
            helpValue?: string | undefined;
            options?: string[] | undefined;
            multiple: true;
            parse: import("@oclif/core/lib/interfaces/parser").FlagParser<string[] | undefined, string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
            defaultHelp?: import("@oclif/core/lib/interfaces/parser").FlagDefaultHelp<string[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
            input: string[];
            default?: import("@oclif/core/lib/interfaces/parser").FlagDefault<(string[] | undefined)[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        };
        'test-level': import("@oclif/core/lib/interfaces").OptionFlag<TestLevel | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        verbose: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        wait: import("@oclif/core/lib/interfaces").OptionFlag<import("@salesforce/kit").Duration | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'purge-on-delete': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'pre-destructive-changes': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'post-destructive-changes': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'coverage-formatters': {
            helpGroup: string;
            name: string;
            char?: import("@oclif/core/lib/interfaces").AlphabetLowercase | import("@oclif/core/lib/interfaces").AlphabetUppercase | undefined;
            summary?: string | undefined;
            description?: string | undefined;
            helpLabel?: string | undefined;
            env?: string | undefined;
            hidden?: boolean | undefined;
            required?: boolean | undefined;
            dependsOn?: string[] | undefined;
            exclusive?: string[] | undefined;
            exactlyOne?: string[] | undefined;
            relationships?: import("@oclif/core/lib/interfaces/parser").Relationship[] | undefined;
            deprecated?: true | import("@oclif/core/lib/interfaces").Deprecation | undefined;
            aliases?: string[] | undefined;
            deprecateAliases?: boolean | undefined;
            delimiter?: "," | undefined;
            type: "option";
            helpValue?: string | undefined;
            options?: string[] | undefined;
            multiple: false;
            parse: import("@oclif/core/lib/interfaces/parser").FlagParser<string[] | undefined, string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
            defaultHelp?: import("@oclif/core/lib/interfaces/parser").FlagDefaultHelp<string[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
            input: string[];
            default?: import("@oclif/core/lib/interfaces/parser").FlagDefault<string[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        } | {
            helpGroup: string;
            name: string;
            char?: import("@oclif/core/lib/interfaces").AlphabetLowercase | import("@oclif/core/lib/interfaces").AlphabetUppercase | undefined;
            summary?: string | undefined;
            description?: string | undefined;
            helpLabel?: string | undefined;
            env?: string | undefined;
            hidden?: boolean | undefined;
            required?: boolean | undefined;
            dependsOn?: string[] | undefined;
            exclusive?: string[] | undefined;
            exactlyOne?: string[] | undefined;
            relationships?: import("@oclif/core/lib/interfaces/parser").Relationship[] | undefined;
            deprecated?: true | import("@oclif/core/lib/interfaces").Deprecation | undefined;
            aliases?: string[] | undefined;
            deprecateAliases?: boolean | undefined;
            delimiter?: "," | undefined;
            type: "option";
            helpValue?: string | undefined;
            options?: string[] | undefined;
            multiple: true;
            parse: import("@oclif/core/lib/interfaces/parser").FlagParser<string[] | undefined, string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
            defaultHelp?: import("@oclif/core/lib/interfaces/parser").FlagDefaultHelp<string[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
            input: string[];
            default?: import("@oclif/core/lib/interfaces/parser").FlagDefault<(string[] | undefined)[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        };
        junit: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'results-dir': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    static configurationVariablesSection: import("@oclif/core").HelpSection;
    static envVariablesSection: import("@oclif/core").HelpSection;
    static errorCodes: import("@oclif/core").HelpSection;
    run(): Promise<DeployResultJson>;
    protected catch(error: Error | SfError): Promise<SfCommand.Error>;
}
