"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeConflictTable = void 0;
const core_1 = require("@oclif/core");
const writeConflictTable = (conflicts) => {
    // Interfaces cannot be casted to Record<string, unknown> so we have to cast to unknown first
    // See https://github.com/microsoft/TypeScript/issues/15300
    core_1.ux.table(conflicts.map((c) => ({ state: c.state, fullName: c.fullName, type: c.type, filePath: c.filePath })), {
        state: { header: 'STATE' },
        fullName: { header: 'FULL NAME' },
        type: { header: 'TYPE' },
        filePath: { header: 'FILE PATH' },
    }, { 'no-truncate': true });
};
exports.writeConflictTable = writeConflictTable;
//# sourceMappingURL=conflicts.js.map