import { PathInfo, TestLevel } from './types';
export declare const DEFAULT_ZIP_FILE_NAME = "unpackaged.zip";
/**
 * Flag value is a directory path that may or may not exist. If it doesn't exist, then it will be created.
 */
export declare const ensuredDirFlag: import("@oclif/core/lib/interfaces/parser").FlagDefinition<string, Record<string, unknown>>;
export declare const testLevelFlag: import("@oclif/core/lib/interfaces/parser").FlagDefinition<TestLevel, Record<string, unknown>>;
/**
 * Flag value could either be a file path or a directory path.
 */
export declare const fileOrDirFlag: import("@oclif/core/lib/interfaces/parser").FlagDefinition<PathInfo, {
    exists?: boolean | undefined;
}>;
/**
 * Flag value is the name of a zip file that defaults to 'unpackaged.zip'.
 */
export declare const zipFileFlag: import("@oclif/core/lib/interfaces/parser").FlagDefinition<string, Record<string, unknown>>;
export declare const testsFlag: import("@oclif/core/lib/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
export declare const coverageFormattersFlag: import("@oclif/core/lib/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
/**
 * use when the old version allowed comma separated values, and the change is confusing enough to deserve a warning
 * Put this as the parse function, like the testsFlag above
 *
 */
export declare const commaWarningForMultipleFlags: (input: string, warningText: string) => Promise<string>;
