"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lowerToUpper = exports.openUrl = exports.getAliasByUsername = void 0;
const kit_1 = require("@salesforce/kit");
const core_1 = require("@salesforce/core");
const open = require("open");
const getAliasByUsername = async (username) => {
    const stateAggregator = await core_1.StateAggregator.getInstance();
    const keys = stateAggregator.aliases.getAll(username);
    // use the most recently added alias for that username
    return keys?.length ? keys[keys.length - 1] : undefined;
};
exports.getAliasByUsername = getAliasByUsername;
const openUrl = async (url, options) => open(url, options);
exports.openUrl = openUrl;
const lowerToUpper = (object) => 
// the API has keys defined in capital camel case, while the definition schema has them as lower camel case
// we need to convert lower camel case to upper before merging options so they will override properly
Object.fromEntries(Object.entries(object).map(([key, value]) => [(0, kit_1.upperFirst)(key), value]));
exports.lowerToUpper = lowerToUpper;
//# sourceMappingURL=utils.js.map