import { SfCommand } from '@salesforce/sf-plugins-core';
import { Duration } from '@salesforce/kit';
import { PackagingSObjects } from '@salesforce/packaging';
import { Optional } from '@salesforce/ts-types';
export type PackageInstallRequest = PackagingSObjects.PackageInstallRequest;
export declare class Install extends SfCommand<PackageInstallRequest> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly deprecateAliases = true;
    static readonly aliases: string[];
    static readonly flags: {
        loglevel: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'target-org': import("@oclif/core/lib/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'api-version': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        wait: import("@oclif/core/lib/interfaces").OptionFlag<Duration, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'installation-key': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'publish-wait': import("@oclif/core/lib/interfaces").OptionFlag<Duration, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'no-prompt': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        package: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'apex-compile': import("@oclif/core/lib/interfaces").OptionFlag<import("@salesforce/ts-types").Nullable<"package" | "all">, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'security-type': import("@oclif/core/lib/interfaces").OptionFlag<"AllUsers" | "AdminsOnly", import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'upgrade-type': import("@oclif/core/lib/interfaces").OptionFlag<"DeprecateOnly" | "Mixed" | "Delete", import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'skip-handlers': import("@oclif/core/lib/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    private connection;
    private subscriberPackageVersion;
    run(): Promise<PackageInstallRequest>;
    protected finally(err: Optional<Error>): Promise<void>;
    private confirmUpgradeType;
    private confirmExternalSites;
}
