import { SfCommand } from '@salesforce/sf-plugins-core';
export type PackageInstalledListResult = {
    Id: string;
    SubscriberPackageId: string | undefined;
    SubscriberPackageName: string | undefined;
    SubscriberPackageNamespace: string | undefined;
    SubscriberPackageVersionId: string | undefined;
    SubscriberPackageVersionName: string | undefined;
    SubscriberPackageVersionNumber: string | undefined;
};
export type PackageInstalledCommandResult = PackageInstalledListResult[];
export declare class PackageInstalledListCommand extends SfCommand<PackageInstalledCommandResult> {
    static readonly summary: string;
    static readonly examples: string[];
    static readonly deprecateAliases = true;
    static readonly aliases: string[];
    static readonly requiresProject = true;
    static readonly flags: {
        loglevel: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'target-org': import("@oclif/core/lib/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'api-version': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    run(): Promise<PackageInstalledCommandResult>;
}
