import { SfCommand } from '@salesforce/sf-plugins-core';
import { PackageVersionListResult } from '@salesforce/packaging';
export type PackageVersionListDetails = Omit<PackageVersionListResult, 'HasMetadataRemoved' | 'IsReleased' | 'IsPasswordProtected' | 'HasPassedCodeCoverageCheck' | 'CreatedById' | 'BuildDurationInSeconds' | 'CodeCoverage' | 'Package2'> & {
    HasMetadataRemoved: string;
    IsPasswordProtected: string | boolean;
    IsReleased: string | boolean;
    HasPassedCodeCoverageCheck: string | boolean;
    BuildDurationInSeconds: string | number;
    CodeCoverage: string;
    NamespacePrefix: string;
    Package2Name: string;
    Version: string;
    InstallUrl: string;
    AncestorVersion: string;
    Alias: string;
    IsOrgDependent: 'N/A' | 'Yes' | 'No';
    CreatedBy: string;
};
export type PackageVersionListCommandResult = PackageVersionListDetails[];
export declare class PackageVersionListCommand extends SfCommand<PackageVersionListCommandResult> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly deprecateAliases = true;
    static readonly aliases: string[];
    static readonly flags: {
        loglevel: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'target-dev-hub': import("@oclif/core/lib/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'api-version': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'created-last-days': import("@oclif/core/lib/interfaces").OptionFlag<number | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        concise: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'modified-last-days': import("@oclif/core/lib/interfaces").OptionFlag<number | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        packages: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        released: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'order-by': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        verbose: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    run(): Promise<PackageVersionListCommandResult>;
    private getColumnData;
}
