import { SfCommand } from '@salesforce/sf-plugins-core';
export type FileDownloadEntry = {
    fullName: string;
    type: string;
    filePath: string;
};
export type PackageVersionRetrieveCommandResult = FileDownloadEntry[];
export declare class PackageVersionRetrieveCommand extends SfCommand<PackageVersionRetrieveCommandResult> {
    static readonly hidden = true;
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly requiresProject = true;
    static readonly flags: {
        loglevel: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'api-version': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'target-org': import("@oclif/core/lib/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        package: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'output-dir': import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    run(): Promise<PackageVersionRetrieveCommandResult>;
}
