/**
 * A minimal `NamedError` implementation not intended for widespread use -- just enough to support this library's needs.
 * For a complete `NamedError` solution, see [@salesforce/kit]{@link https://preview.npmjs.com/package/@salesforce/kit}.
 */
export declare class NamedError extends Error {
    readonly name: string;
    constructor(name: string, message: string);
}
/**
 * Indicates an unexpected type was encountered during a type-narrowing operation.
 */
export declare class AssertionFailedError extends NamedError {
    constructor(message: string);
}
/**
 * Indicates an unexpected type was encountered during a type-narrowing operation.
 */
export declare class UnexpectedValueTypeError extends NamedError {
    constructor(message: string);
}
/**
 * Indicates an error while performing a JSON clone operation.
 */
export declare class JsonCloneError extends NamedError {
    constructor(cause: Error);
}
