"use strict";
/*
 * Copyright (c) 2022, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@salesforce/core");
const sf_plugins_core_1 = require("@salesforce/sf-plugins-core");
const alias_1 = require("../../alias");
core_1.Messages.importMessagesDirectory(__dirname);
const messages = core_1.Messages.loadMessages('@salesforce/plugin-settings', 'alias.list');
class AliasList extends alias_1.AliasCommand {
    async run() {
        await this.parse(AliasList);
        const stateAggregator = await core_1.StateAggregator.getInstance();
        const aliases = stateAggregator.aliases.getAll();
        const results = Object.entries(aliases).map(([alias, value]) => ({ alias, value }));
        this.output('Alias List', results);
        return results;
    }
}
exports.default = AliasList;
AliasList.summary = messages.getMessage('summary');
AliasList.description = messages.getMessage('description');
AliasList.examples = messages.getMessages('examples');
AliasList.aliases = ['force:alias:list'];
AliasList.deprecateAliases = true;
AliasList.flags = { loglevel: sf_plugins_core_1.loglevel };
//# sourceMappingURL=list.js.map