"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const core_1 = require("@salesforce/core");
const sf_plugins_core_1 = require("@salesforce/sf-plugins-core");
const config_1 = require("../../config");
core_1.Messages.importMessagesDirectory(__dirname);
const messages = core_1.Messages.loadMessages('@salesforce/plugin-settings', 'config.list');
class List extends sf_plugins_core_1.SfCommand {
    async run() {
        const aggregator = await core_1.ConfigAggregator.create();
        const responses = aggregator.getConfigInfo().map((c) => (0, config_1.buildSuccessMsg)(c));
        (0, config_1.output)(new sf_plugins_core_1.Ux({ jsonEnabled: this.jsonEnabled() }), responses, 'list', true);
        return responses;
    }
}
exports.default = List;
List.description = messages.getMessage('description');
List.summary = messages.getMessage('summary');
List.examples = messages.getMessages('examples');
List.aliases = ['force:config:list'];
List.deprecateAliases = true;
List.flags = { loglevel: sf_plugins_core_1.loglevel };
//# sourceMappingURL=list.js.map