"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SnapshotList = void 0;
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const sf_plugins_core_1 = require("@salesforce/sf-plugins-core");
const core_1 = require("@salesforce/core");
const snapshot_1 = require("../../../shared/snapshot");
core_1.Messages.importMessagesDirectory(__dirname);
const messages = core_1.Messages.loadMessages('@salesforce/plugin-signups', 'snapshot.list');
class SnapshotList extends sf_plugins_core_1.SfCommand {
    async run() {
        const { flags } = await this.parse(SnapshotList);
        const results = await (0, snapshot_1.queryAll)(flags['target-dev-hub'].getConnection(flags['api-version']));
        if (!this.jsonEnabled()) {
            (0, snapshot_1.printRecordTable)(results);
        }
        return results;
    }
}
exports.SnapshotList = SnapshotList;
SnapshotList.summary = messages.getMessage('summary');
SnapshotList.description = messages.getMessage('description');
SnapshotList.examples = messages.getMessages('examples');
SnapshotList.aliases = ['force:org:snapshot:list'];
SnapshotList.deprecateAliases = true;
SnapshotList.flags = {
    'target-dev-hub': sf_plugins_core_1.requiredHubFlagWithDeprecations,
    'api-version': sf_plugins_core_1.orgApiVersionFlagWithDeprecations,
    loglevel: sf_plugins_core_1.loglevel,
};
//# sourceMappingURL=snapshot.js.map