import { Connection, OrgAuthorization } from '@salesforce/core';
export type OrgShapeListResult = {
    orgId: string;
    username: string;
    alias?: string;
    shapeId: string;
    status: string;
    createdBy: string;
    createdDate: string;
};
export interface JsForceError extends Error {
    errorCode: string;
    fields: string[];
}
export declare function getAllShapesFromOrg(orgAuth: OrgAuthorization): Promise<OrgShapeListResult[]>;
/**
 * Check if the ShapeExportPilot preference is enabled.
 */
export declare function isShapeEnabled(conn: Connection): Promise<boolean>;
