import { Connection } from '@salesforce/core';
export interface OrgSnapshotRequest {
    SourceOrg: string;
    SnapshotName: string;
    Description: string;
    Content?: string;
}
export type OrgSnapshot = OrgSnapshotRequest & {
    Id: string;
    Status: string;
    LastClonedDate?: string;
    LastClonedById?: string;
    CreatedDate: string;
    LastModifiedDate: string;
    ExpirationDate?: string;
    Error?: string;
};
export declare const ORG_SNAPSHOT_FIELDS: string[];
export declare const queryAll: (conn: Connection) => Promise<OrgSnapshot[]>;
export declare const queryByNameOrId: (conn: Connection, nameOrId: string) => Promise<OrgSnapshot>;
export declare const printSingleRecordTable: (snapshotRecord: OrgSnapshot) => void;
export declare const printRecordTable: (snapshotRecords: OrgSnapshot[]) => void;
