import { Org } from '@salesforce/core';
import { Duration } from '@salesforce/kit';
import { MetadataApiRetrieveStatus, RetrieveResult } from '@salesforce/source-deploy-retrieve';
import { Interfaces } from '@oclif/core';
import { SourceCommand } from '../../../../sourceCommand';
import { RetrieveCommandResult, RetrieveCommandAsyncResult } from '../../../../formatters/mdapi/retrieveResultFormatter';
export type ReportCommandResult = RetrieveCommandResult | RetrieveCommandAsyncResult;
export declare class Report extends SourceCommand {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly state = "deprecated";
    static readonly flags: {
        'api-version': Interfaces.OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        loglevel: Interfaces.OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'target-org': Interfaces.OptionFlag<Org, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        retrievetargetdir: Interfaces.OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        jobid: Interfaces.OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        zipfilename: Interfaces.OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        unzip: Interfaces.BooleanFlag<boolean>;
        wait: Interfaces.OptionFlag<Duration, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        verbose: Interfaces.BooleanFlag<boolean>;
    };
    protected retrieveResult: RetrieveResult;
    protected retrieveStatus: MetadataApiRetrieveStatus;
    private retrieveTargetDir;
    private zipFileName;
    private unzip;
    private wait;
    private isAsync;
    private mdapiRetrieve;
    private flags;
    private org;
    run(): Promise<ReportCommandResult>;
    protected report(): Promise<void>;
    protected resolveSuccess(): void;
    protected formatResult(): RetrieveCommandResult | RetrieveCommandAsyncResult;
    private resolveOutputDir;
}
