import { FileResponse, RequestStatus, RetrieveMessage, RetrieveResult } from '@salesforce/source-deploy-retrieve';
import { Ux } from '@salesforce/sf-plugins-core';
import { ResultFormatter, ResultFormatterOptions } from '../resultFormatter';
export type PullResponse = {
    pulledSource: Array<Pick<FileResponse, 'filePath' | 'fullName' | 'state' | 'type'>>;
};
export declare class PullResultFormatter extends ResultFormatter {
    protected result: RetrieveResult;
    protected fileResponses: FileResponse[];
    protected warnings: RetrieveMessage[];
    constructor(ux: Ux, options: ResultFormatterOptions, retrieveResult: RetrieveResult, deleteResult?: FileResponse[]);
    /**
     * Get the JSON output from the PullCommandResult.
     *
     * @returns RetrieveCommandResult
     */
    getJson(): PullResponse;
    /**
     * Displays retrieve results in human format.
     */
    display(): void;
    protected hasStatus(status: RequestStatus): boolean;
    protected hasComponents(): boolean;
    private displayWarnings;
    private displaySuccesses;
    private displayErrors;
}
