import { Ux } from '@salesforce/sf-plugins-core';
import { ResultFormatter, ResultFormatterOptions } from '../resultFormatter';
type StatusActualState = 'Deleted' | 'Add' | 'Changed' | 'Unchanged';
type StatusOrigin = 'Local' | 'Remote';
type StatusStateString = `${StatusOrigin} ${StatusActualState}` | `${StatusOrigin} ${StatusActualState} (Conflict)`;
export type StatusResult = {
    state: StatusStateString;
    fullName: string;
    type: string;
    filePath?: string;
    ignored?: boolean;
    conflict?: boolean;
    actualState?: StatusActualState;
    origin: StatusOrigin;
};
export declare class StatusFormatter extends ResultFormatter {
    private statusRows;
    constructor(ux: Ux, options: ResultFormatterOptions, statusRows: StatusResult[]);
    getJson(): StatusResult[];
    display(): void;
}
export {};
