import { Connection, Org } from '@salesforce/core';
import { SfCommand } from '@salesforce/sf-plugins-core';
type SuccessMsg = {
    name: string;
    value: string;
};
type FailureMsg = {
    name: string;
    message: string;
};
export type PermsetAssignResult = {
    successes: SuccessMsg[];
    failures: FailureMsg[];
};
export declare abstract class UserPermSetAssignBaseCommand extends SfCommand<PermsetAssignResult> {
    protected connection?: Connection;
    protected org?: Org;
    protected aliasOrUsernames: string[];
    protected permSetNames: string[];
    protected readonly successes: SuccessMsg[];
    protected readonly failures: FailureMsg[];
    assign(): Promise<PermsetAssignResult>;
    private print;
    private setExitCode;
}
export {};
