import { Connection } from '@salesforce/core';
import { SfCommand } from '@salesforce/sf-plugins-core';
type SuccessMsg = {
    name: string;
    value: string;
};
type FailureMsg = {
    name: string;
    message: string;
};
export type PSLResult = {
    successes: SuccessMsg[];
    failures: FailureMsg[];
};
export declare abstract class UserPermSetLicenseAssignBaseCommand extends SfCommand<PSLResult> {
    private readonly successes;
    private readonly failures;
    assign({ conn, pslName, usernamesOrAliases, }: {
        conn: Connection;
        pslName: string;
        usernamesOrAliases: string[];
    }): Promise<PSLResult>;
    private usernameToPSLAssignment;
    private setExitCode;
    private print;
}
export {};
