/// <reference types="node" />
import { Dictionary, Nullable } from '@salesforce/ts-types';
import { Env } from '@salesforce/kit';
export declare enum EnvironmentVariable {
    'FORCE_OPEN_URL' = "FORCE_OPEN_URL",
    'FORCE_SHOW_SPINNER' = "FORCE_SHOW_SPINNER",
    'FORCE_SPINNER_DELAY' = "FORCE_SPINNER_DELAY",
    'HTTP_PROXY' = "HTTP_PROXY",
    'HTTPS_PROXY' = "HTTPS_PROXY",
    'NODE_EXTRA_CA_CERTS' = "NODE_EXTRA_CA_CERTS",
    'NODE_TLS_REJECT_UNAUTHORIZED' = "NODE_TLS_REJECT_UNAUTHORIZED",
    'SFDX_ACCESS_TOKEN' = "SFDX_ACCESS_TOKEN",
    'SFDX_API_VERSION' = "SFDX_API_VERSION",
    'SFDX_AUDIENCE_URL' = "SFDX_AUDIENCE_URL",
    'SFDX_CODE_COVERAGE_REQUIREMENT' = "SFDX_CODE_COVERAGE_REQUIREMENT",
    'SFDX_CONTENT_TYPE' = "SFDX_CONTENT_TYPE",
    'SFDX_DEFAULTDEVHUBUSERNAME' = "SFDX_DEFAULTDEVHUBUSERNAME",
    'SFDX_DEFAULTUSERNAME' = "SFDX_DEFAULTUSERNAME",
    'SFDX_DISABLE_AUTOUPDATE' = "SFDX_DISABLE_AUTOUPDATE",
    'SFDX_AUTOUPDATE_DISABLE' = "SFDX_AUTOUPDATE_DISABLE",
    'SFDX_DISABLE_SOURCE_MEMBER_POLLING' = "SFDX_DISABLE_SOURCE_MEMBER_POLLING",
    'SFDX_DISABLE_TELEMETRY' = "SFDX_DISABLE_TELEMETRY",
    'SFDX_DNS_TIMEOUT' = "SFDX_DNS_TIMEOUT",
    'SFDX_DOMAIN_RETRY' = "SFDX_DOMAIN_RETRY",
    'SFDX_IMPROVED_CODE_COVERAGE' = "SFDX_IMPROVED_CODE_COVERAGE",
    'SFDX_INSTANCE_URL' = "SFDX_INSTANCE_URL",
    'SFDX_JSON_TO_STDOUT' = "SFDX_JSON_TO_STDOUT",
    'SFDX_DISABLE_LOG_FILE' = "SFDX_DISABLE_LOG_FILE",
    'SFDX_LOG_LEVEL' = "SFDX_LOG_LEVEL",
    'SFDX_LOG_ROTATION_COUNT' = "SFDX_LOG_ROTATION_COUNT",
    'SFDX_LOG_ROTATION_PERIOD' = "SFDX_LOG_ROTATION_PERIOD",
    'SFDX_MAX_QUERY_LIMIT' = "SFDX_MAX_QUERY_LIMIT",
    'SFDX_MDAPI_TEMP_DIR' = "SFDX_MDAPI_TEMP_DIR",
    'SFDX_NPM_REGISTRY' = "SFDX_NPM_REGISTRY",
    'SFDX_PRECOMPILE_ENABLE' = "SFDX_PRECOMPILE_ENABLE",
    'SFDX_PROJECT_AUTOUPDATE_DISABLE_FOR_PACKAGE_CREATE' = "SFDX_PROJECT_AUTOUPDATE_DISABLE_FOR_PACKAGE_CREATE",
    'SFDX_PROJECT_AUTOUPDATE_DISABLE_FOR_PACKAGE_VERSION_CREATE' = "SFDX_PROJECT_AUTOUPDATE_DISABLE_FOR_PACKAGE_VERSION_CREATE",
    'SFDX_REST_DEPLOY' = "SFDX_REST_DEPLOY",
    'SFDX_SOURCE_MEMBER_POLLING_TIMEOUT' = "SFDX_SOURCE_MEMBER_POLLING_TIMEOUT",
    'SFDX_USE_GENERIC_UNIX_KEYCHAIN' = "SFDX_USE_GENERIC_UNIX_KEYCHAIN",
    'SFDX_USE_PROGRESS_BAR' = "SFDX_USE_PROGRESS_BAR",
    'SFDX_LAZY_LOAD_MODULES' = "SFDX_LAZY_LOAD_MODULES",
    'SFDX_S3_HOST' = "SFDX_S3_HOST",
    'SFDX_UPDATE_INSTRUCTIONS' = "SFDX_UPDATE_INSTRUCTIONS",
    'SFDX_INSTALLER' = "SFDX_INSTALLER",
    'SFDX_ENV' = "SFDX_ENV",
    'SF_TARGET_ORG' = "SF_TARGET_ORG",
    'SF_TARGET_DEV_HUB' = "SF_TARGET_DEV_HUB",
    'SF_ACCESS_TOKEN' = "SF_ACCESS_TOKEN",
    'SF_ORG_API_VERSION' = "SF_ORG_API_VERSION",
    'SF_AUDIENCE_URL' = "SF_AUDIENCE_URL",
    'SF_CODE_COVERAGE_REQUIREMENT' = "SF_CODE_COVERAGE_REQUIREMENT",
    'SF_CONTENT_TYPE' = "SF_CONTENT_TYPE",
    'SF_DISABLE_AUTOUPDATE' = "SF_DISABLE_AUTOUPDATE",
    'SF_AUTOUPDATE_DISABLE' = "SF_AUTOUPDATE_DISABLE",
    'SF_DISABLE_SOURCE_MEMBER_POLLING' = "SF_DISABLE_SOURCE_MEMBER_POLLING",
    'SF_DISABLE_TELEMETRY' = "SF_DISABLE_TELEMETRY",
    'SF_DNS_TIMEOUT' = "SF_DNS_TIMEOUT",
    'SF_DOMAIN_RETRY' = "SF_DOMAIN_RETRY",
    'SF_IMPROVED_CODE_COVERAGE' = "SF_IMPROVED_CODE_COVERAGE",
    'SF_ORG_INSTANCE_URL' = "SF_ORG_INSTANCE_URL",
    'SF_JSON_TO_STDOUT' = "SF_JSON_TO_STDOUT",
    'SF_DISABLE_LOG_FILE' = "SF_DISABLE_LOG_FILE",
    'SF_LOG_LEVEL' = "SF_LOG_LEVEL",
    'SF_LOG_ROTATION_COUNT' = "SF_LOG_ROTATION_COUNT",
    'SF_LOG_ROTATION_PERIOD' = "SF_LOG_ROTATION_PERIOD",
    'SF_ORG_MAX_QUERY_LIMIT' = "SF_ORG_MAX_QUERY_LIMIT",
    'SF_MDAPI_TEMP_DIR' = "SF_MDAPI_TEMP_DIR",
    'SF_NPM_REGISTRY' = "SF_NPM_REGISTRY",
    'SF_PRECOMPILE_ENABLE' = "SF_PRECOMPILE_ENABLE",
    'SF_PROJECT_AUTOUPDATE_DISABLE_FOR_PACKAGE_CREATE' = "SF_PROJECT_AUTOUPDATE_DISABLE_FOR_PACKAGE_CREATE",
    'SF_PROJECT_AUTOUPDATE_DISABLE_FOR_PACKAGE_VERSION_CREATE' = "SF_PROJECT_AUTOUPDATE_DISABLE_FOR_PACKAGE_VERSION_CREATE",
    'SF_SOURCE_MEMBER_POLLING_TIMEOUT' = "SF_SOURCE_MEMBER_POLLING_TIMEOUT",
    'SF_USE_GENERIC_UNIX_KEYCHAIN' = "SF_USE_GENERIC_UNIX_KEYCHAIN",
    'SF_USE_PROGRESS_BAR' = "SF_USE_PROGRESS_BAR",
    'SF_LAZY_LOAD_MODULES' = "SF_LAZY_LOAD_MODULES",
    'SF_S3_HOST' = "SF_S3_HOST",
    'SF_UPDATE_INSTRUCTIONS' = "SF_UPDATE_INSTRUCTIONS",
    'SF_INSTALLER' = "SF_INSTALLER",
    'SF_ENV' = "SF_ENV"
}
type EnvMetaData = {
    description: string;
    /** the env has been renamed.  synonymOf points to the new env */
    synonymOf: Nullable<string>;
};
type EnvType = {
    [key in EnvironmentVariable]: EnvMetaData;
};
export declare const SUPPORTED_ENV_VARS: EnvType;
export declare class EnvVars extends Env {
    constructor(env?: NodeJS.ProcessEnv);
    static propertyToEnvName(property: string, prefix?: string): string;
    private static defaultPrefix;
    getPropertyFromEnv<T>(property: string, prefix?: string): Nullable<T>;
    asDictionary(): Dictionary<unknown>;
    asMap(): Map<string, unknown>;
    private resolve;
    private get;
}
export declare const envVars: EnvVars;
export {};
