"use strict";
/*
 * Copyright (c) 2021, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
/* eslint-disable class-methods-use-this */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SandboxAccessor = void 0;
const sandboxOrgConfig_1 = require("../../config/sandboxOrgConfig");
const orgAccessor_1 = require("./orgAccessor");
class SandboxAccessor extends orgAccessor_1.BaseOrgAccessor {
    async initAuthFile(username, throwOnNotFound = false) {
        return sandboxOrgConfig_1.SandboxOrgConfig.create({
            ...sandboxOrgConfig_1.SandboxOrgConfig.getOptions(username),
            throwOnNotFound,
        });
    }
    getFileRegex() {
        return /^(00D.*?)\.sandbox\.json$/;
    }
    getFileExtension() {
        return '.sandbox.json';
    }
}
exports.SandboxAccessor = SandboxAccessor;
//# sourceMappingURL=sandboxAccessor.js.map