"use strict";
/*
 * Copyright (c) 2021, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getJwtAudienceUrl = void 0;
const sfdcUrl_1 = require("./sfdcUrl");
async function getJwtAudienceUrl(options) {
    if (options.loginUrl) {
        const url = new sfdcUrl_1.SfdcUrl(options.loginUrl);
        return url.getJwtAudienceUrl(options.createdOrgInstance);
    }
    return sfdcUrl_1.SfdcUrl.PRODUCTION;
}
exports.getJwtAudienceUrl = getJwtAudienceUrl;
//# sourceMappingURL=getJwtAudienceUrl.js.map