"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2019, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const path = require("path");
const utils_1 = require("../utils");
const sfdxGenerator_1 = require("./sfdxGenerator");
class ApexClassGenerator extends sfdxGenerator_1.SfdxGenerator {
    constructor(args, options) {
        super(args, options);
        this.sourceRootWithPartialPath('apexclass');
    }
    validateOptions() {
        utils_1.CreateUtil.checkInputs(this.options.template);
        utils_1.CreateUtil.checkInputs(this.options.classname);
    }
    writing() {
        const { template, classname } = this.options;
        this.fs.copyTpl(this.templatePath(`${template}.cls`), this.destinationPath(path.join(this.outputdir, `${classname}.cls`)), { apiName: classname }),
            this.fs.copyTpl(this.templatePath('_class.cls-meta.xml'), this.destinationPath(path.join(this.outputdir, `${classname}.cls-meta.xml`)), { apiName: classname, apiVersion: this.apiversion });
    }
}
exports.default = ApexClassGenerator;
//# sourceMappingURL=apexClassGenerator.js.map