export declare type StreamingEvent = {
    createdDate: string;
    replayId?: number;
    type: string;
};
export declare type TestResultMessage = {
    event: StreamingEvent;
    sobject: {
        Id: string;
    };
};
export declare type StreamMessage = {
    channel: string;
    clientId: string;
    successful?: boolean;
    id?: string;
    data?: TestResultMessage;
    error?: string;
    advice: {
        reconnect: string;
        interval: number;
        timeout: number;
    };
};
export declare const enum StreamingErrors {
    ERROR_AUTH_INVALID = "401::Authentication invalid",
    ERROR_UNKNOWN_CLIENT_ID = "403::Unknown client"
}
export declare const RetreiveResultsInterval: number;
