declare enum logLevel {
    trace = "trace",
    debug = "debug",
    info = "info",
    warn = "warn",
    error = "error",
    fatal = "fatal"
}
export declare const xmlCharMap: {
    [index: string]: string;
};
export declare type CommonOptions = {
    json?: boolean;
    loglevel?: logLevel;
};
export declare type ApexDiagnostic = {
    lineNumber?: number;
    columnNumber?: number;
    exceptionMessage: string;
    compileProblem: string;
    exceptionStackTrace: string;
    className?: string;
};
export declare type QueryResult<T = QueryRecord> = {
    records: T[];
};
export declare type QueryRecord = {
    Id: string;
};
export declare type QueryRecords = {
    totalSize: number;
    records: IdRecord[];
};
export declare type DebugLevelRecord = {
    ApexCode: string;
    VisualForce: string;
};
export declare type TraceFlagRecord = {
    Id: string;
    LogType: string;
    DebugLevelId: string;
    StartDate: Date | undefined;
    ExpirationDate: Date | undefined;
    DebugLevel: DebugLevelRecord;
};
export declare type DataRecordResult = {
    id?: string;
    errors?: string[];
    success: boolean;
};
export declare type IdRecord = {
    Id: string;
};
export {};
