import { JsonMap } from '@salesforce/ts-types';
import { TTLConfig } from '../config/ttlConfig';
export type CachedOptions = {
    hubUsername: string;
    /** stores the scratch definition, including settings/objectSettings */
    definitionjson: JsonMap;
    hubBaseUrl: string;
    /** may be required for auth*/
    clientSecret?: string;
    signupTargetLoginUrlConfig?: string;
    apiVersion?: string;
    alias?: string;
    setDefault?: boolean;
    tracksSource?: boolean;
};
export declare class ScratchOrgCache extends TTLConfig<TTLConfig.Options, CachedOptions> {
    static getFileName(): string;
    static getDefaultOptions(): TTLConfig.Options;
    static unset(key: string): Promise<void>;
}
