import { SfCommand } from '@salesforce/sf-plugins-core';
export default class Log extends SfCommand<void> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly deprecateAliases = true;
    static readonly aliases: string[];
    static readonly flags: {
        'target-org': import("@oclif/core/lib/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'api-version': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        loglevel: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        color: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'debug-level': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'skip-trace-flag': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    private color;
    run(): Promise<void>;
    logTailer(fullLog: string): Promise<void>;
    /**
     * for UT purposes
     *
     * @param conn : Connection to the org
     * @private
     */
    private getLogService;
}
