/// <reference types="node" />
import { AuthFields } from '@salesforce/core';
import { Interfaces } from '@oclif/core';
import { AuthBaseCommand } from '../../../authBaseCommand';
export default class LoginJwt extends AuthBaseCommand<AuthFields> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static aliases: string[];
    static readonly flags: {
        username: Interfaces.OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'jwt-key-file': Interfaces.OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'client-id': Interfaces.OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'instance-url': Interfaces.OptionFlag<import("url").URL | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'set-default-dev-hub': Interfaces.BooleanFlag<boolean>;
        'set-default': Interfaces.BooleanFlag<boolean>;
        alias: Interfaces.OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'no-prompt': Interfaces.BooleanFlag<boolean>;
        loglevel: Interfaces.OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    private flags;
    private logger;
    run(): Promise<AuthFields>;
    private initAuthInfo;
}
