"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isAttributesElement = exports.hasNestedRecords = exports.FieldType = void 0;
var FieldType;
(function (FieldType) {
    FieldType[FieldType["field"] = 0] = "field";
    FieldType[FieldType["subqueryField"] = 1] = "subqueryField";
    FieldType[FieldType["functionField"] = 2] = "functionField";
})(FieldType = exports.FieldType || (exports.FieldType = {}));
const hasNestedRecords = (element) => Array.isArray(element?.records);
exports.hasNestedRecords = hasNestedRecords;
const isAttributesElement = (element) => !!element.referenceId && !!element.type;
exports.isAttributesElement = isAttributesElement;
//# sourceMappingURL=dataSoqlQueryTypes.js.map