import { SfCommand } from '@salesforce/sf-plugins-core';
import { Duration } from '@salesforce/kit';
import { DeployResultJson } from '../../../utils/types';
export default class DeployMetadataResume extends SfCommand<DeployResultJson> {
    static readonly description: string;
    static readonly summary: string;
    static readonly examples: string[];
    static readonly requiresProject = true;
    static readonly aliases: string[];
    static readonly deprecateAliases = true;
    static readonly flags: {
        concise: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'job-id': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'use-most-recent': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        verbose: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        wait: import("@oclif/core/lib/interfaces").OptionFlag<Duration | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'coverage-formatters': import("@oclif/core/lib/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        junit: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'results-dir': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    static envVariablesSection: import("@oclif/core").HelpSection;
    static errorCodes: import("@oclif/core").HelpSection;
    run(): Promise<DeployResultJson>;
}
