import { SfCommand } from '@salesforce/sf-plugins-core';
import { DeployResultJson, TestLevel } from '../../../utils/types';
export default class DeployMetadataValidate extends SfCommand<DeployResultJson> {
    static readonly description: string;
    static readonly summary: string;
    static readonly examples: string[];
    static readonly requiresProject = true;
    static readonly aliases: string[];
    static readonly deprecateAliases = true;
    static readonly flags: {
        'api-version': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        async: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        concise: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        manifest: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        metadata: import("@oclif/core/lib/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'source-dir': import("@oclif/core/lib/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'metadata-dir': import("@oclif/core/lib/interfaces").OptionFlag<import("../../../utils/types").PathInfo | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'single-package': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'target-org': import("@oclif/core/lib/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        tests: import("@oclif/core/lib/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'test-level': import("@oclif/core/lib/interfaces").OptionFlag<TestLevel, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        verbose: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        wait: import("@oclif/core/lib/interfaces").OptionFlag<import("@salesforce/kit").Duration | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    static configurationVariablesSection: import("@oclif/core").HelpSection;
    static envVariablesSection: import("@oclif/core").HelpSection;
    static errorCodes: import("@oclif/core").HelpSection;
    run(): Promise<DeployResultJson>;
}
