import { SfCommand } from '@salesforce/sf-plugins-core';
export type SourceIgnoredResults = {
    ignoredFiles: string[];
};
export declare class Ignored extends SfCommand<SourceIgnoredResults> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly requiresProject = true;
    static readonly aliases: string[];
    static readonly deprecateAliases = true;
    static readonly flags: {
        'source-dir': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    private forceIgnore;
    /**
     * Outputs all forceignored files from package directories of a project,
     * or based on a sourcepath param that points to a specific file or directory.
     */
    run(): Promise<SourceIgnoredResults>;
    private statIgnored;
    private findIgnored;
    private isIgnored;
}
