import { SfError } from '@salesforce/core';
import { RetrieveResult } from '@salesforce/source-deploy-retrieve';
import { SfCommand } from '@salesforce/sf-plugins-core';
import { Duration } from '@salesforce/kit';
import { Interfaces } from '@oclif/core';
import { RetrieveResultJson } from '../../../utils/types';
export default class RetrieveMetadata extends SfCommand<RetrieveResultJson> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly aliases: string[];
    static readonly deprecateAliases = true;
    static readonly flags: {
        'api-version': Interfaces.OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'ignore-conflicts': Interfaces.BooleanFlag<boolean>;
        manifest: Interfaces.OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        metadata: Interfaces.OptionFlag<string[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'package-name': Interfaces.OptionFlag<string[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'output-dir': Interfaces.OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'single-package': Interfaces.BooleanFlag<boolean>;
        'source-dir': Interfaces.OptionFlag<string[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'target-metadata-dir': Interfaces.OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'target-org': Interfaces.OptionFlag<import("@salesforce/core").Org, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        wait: Interfaces.OptionFlag<Duration, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        unzip: Interfaces.BooleanFlag<boolean>;
        'zip-file-name': Interfaces.OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    static configurationVariablesSection: import("@oclif/core").HelpSection;
    static envVariablesSection: import("@oclif/core").HelpSection;
    protected retrieveResult: RetrieveResult;
    run(): Promise<RetrieveResultJson>;
    protected catch(error: Error | SfError): Promise<SfCommand.Error>;
    private moveResultsForRetrieveTargetDir;
}
