"use strict";
/*
 * Copyright (c) 2022, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigVars = void 0;
const core_1 = require("@salesforce/core");
core_1.Messages.importMessagesDirectory(__dirname);
const messages = core_1.Messages.loadMessages('@salesforce/plugin-deploy-retrieve', 'config');
var ConfigVars;
(function (ConfigVars) {
    /**
     * Allow users to use the REST api for deployments.
     */
    ConfigVars["ORG_METADATA_REST_DEPLOY"] = "org-metadata-rest-deploy";
})(ConfigVars = exports.ConfigVars || (exports.ConfigVars = {}));
exports.default = [
    {
        key: ConfigVars.ORG_METADATA_REST_DEPLOY,
        description: messages.getMessage(ConfigVars.ORG_METADATA_REST_DEPLOY),
        hidden: true,
        input: {
            validator: (value) => value != null && ['true', 'false'].includes(value.toString()),
            failedMessage: messages.getMessage('error.invalidBooleanConfigValue'),
        },
    },
];
//# sourceMappingURL=configMeta.js.map