"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeployCancelResultFormatter = void 0;
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const core_1 = require("@oclif/core");
const source_deploy_retrieve_1 = require("@salesforce/source-deploy-retrieve");
class DeployCancelResultFormatter {
    constructor(result) {
        this.result = result;
    }
    getJson() {
        return { ...this.result.response, files: this.result.getFileResponses() ?? [] };
    }
    display() {
        if (this.result.response.status === source_deploy_retrieve_1.RequestStatus.Canceled) {
            core_1.ux.log(`Successfully canceled ${this.result.response.id}`);
        }
        else {
            core_1.ux.error(`Could not cancel ${this.result.response.id}`);
        }
    }
}
exports.DeployCancelResultFormatter = DeployCancelResultFormatter;
//# sourceMappingURL=deployCancelResultFormatter.js.map