import { ApexTestResultData, CoverageReporterOptions, ApexCodeCoverageAggregate } from '@salesforce/apex-node';
import { Successes, Failures, CodeCoverage } from '@salesforce/source-deploy-retrieve';
export declare const mapTestResults: <T extends Failures | Successes>(testResults: T[]) => ApexTestResultData[];
export declare const generateCoveredLines: (cov: CodeCoverage) => [number[], number[]];
export declare const getCoverageFormattersOptions: (formatters?: string[]) => CoverageReporterOptions;
export declare const transformCoverageToApexCoverage: (mdCoverage: CodeCoverage[]) => ApexCodeCoverageAggregate;
export declare const coverageOutput: (cov: CodeCoverage) => Pick<CodeCoverage, 'name' | 'numLocations'> & {
    lineNotCovered: string;
};
