import { TTLConfig } from '@salesforce/core';
import { JsonMap } from '@salesforce/ts-types';
import { DeployOptions, CachedOptions } from './deploy';
export declare class DeployCache extends TTLConfig<TTLConfig.Options, CachedOptions> {
    static getFileName(): string;
    static getDefaultOptions(): TTLConfig.Options;
    /**
     *
     * @param key jobId
     * @param value a DeployOptions object (wait is a duration, can use non-manifest options)
     * @param manifestFilePath the path to the manifest file generated by the deploy
     */
    static set(key: string, value: Partial<DeployOptions>): Promise<void>;
    static unset(key: string): Promise<void>;
    static update(key: string, obj: JsonMap): Promise<void>;
    resolveLatest(useMostRecent: boolean, key: string | undefined, throwOnNotFound?: boolean): string;
    resolveLongId(jobId: string): string;
    get(jobId: string): TTLConfig.Entry<CachedOptions>;
}
