import { NamedPackageDir } from '@salesforce/core';
import { Deployable, Deployer, DeployerResult } from '@salesforce/sf-plugins-core';
import { TestLevel } from './types';
export interface MetadataDeployOptions extends Deployer.Options {
    testLevel?: TestLevel;
    username?: string;
    directories?: string[];
}
export declare class DeployablePackage extends Deployable {
    pkg: NamedPackageDir;
    private parent;
    constructor(pkg: NamedPackageDir, parent: Deployer);
    getName(): string;
    getType(): string;
    getPath(): string;
    getParent(): Deployer;
}
export declare class MetadataDeployer extends Deployer {
    private packages;
    static NAME: string;
    deployables: DeployablePackage[];
    private testLevel;
    private username;
    constructor(packages: NamedPackageDir[]);
    getName(): string;
    setup(flags: Deployer.Flags, options: MetadataDeployOptions): Promise<MetadataDeployOptions>;
    deploy<R extends DeployerResult>(): Promise<void | R>;
    promptForUsername(): Promise<string>;
    promptForTestLevel(): Promise<TestLevel>;
}
