import { FileResponse, FileResponseFailure, FileResponseSuccess } from '@salesforce/source-deploy-retrieve';
export declare function tableHeader(message: string): string;
export declare function asRelativePaths<T extends FileResponse | FileResponseSuccess | FileResponseFailure>(fileResponses: T[]): T[];
/**
 * Sorts file responds by type, then by filePath, then by fullName
 */
export declare function sortFileResponses<T extends FileResponse | FileResponseSuccess | FileResponseFailure>(fileResponses: T[]): T[];
export declare const getFileResponseSuccessProps: (successes: FileResponseSuccess[]) => Array<Pick<FileResponseSuccess, 'filePath' | 'fullName' | 'state' | 'type'>>;
export declare function error(message: string): string;
export declare function success(message: string): string;
export declare const check: string;
