"use strict";
/*
 * Copyright (c) 2022, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOptionalProject = exports.getSourceApiVersion = exports.getPackageDirs = void 0;
const core_1 = require("@salesforce/core");
async function getPackageDirs() {
    const project = await core_1.SfProject.resolve();
    return project.getUniquePackageDirectories().map((pDir) => pDir.fullPath);
}
exports.getPackageDirs = getPackageDirs;
async function getSourceApiVersion() {
    const project = await core_1.SfProject.resolve();
    const projectConfig = await project.resolveProjectConfig();
    return projectConfig.sourceApiVersion;
}
exports.getSourceApiVersion = getSourceApiVersion;
async function getOptionalProject() {
    try {
        return await core_1.SfProject.resolve();
    }
    catch (e) {
        return undefined;
    }
}
exports.getOptionalProject = getOptionalProject;
//# sourceMappingURL=project.js.map