"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@salesforce/core");
const doctor_1 = require("../../doctor");
const log = core_1.Logger.childFromRoot('plugin-info:init_doctor');
// eslint-disable-next-line @typescript-eslint/no-unused-vars
const hook = async ({ config, argv, id }) => {
    log.debug('init_doctor hook');
    if (id === 'doctor') {
        if (!doctor_1.Doctor.isDoctorEnabled()) {
            doctor_1.Doctor.init(config);
        }
    }
    return Promise.resolve();
};
exports.default = hook;
//# sourceMappingURL=init_doctor.js.map