"use strict";
/*
 * Copyright (c) 2021, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDistTagVersion = void 0;
const got_1 = require("got");
const proxy_agent_1 = require("proxy-agent");
const constants_1 = require("../constants");
const getDistTagVersion = async (url, distTag) => {
    // TODO: Could use npm instead here. That way private cli repos could auth with .npmrc
    // -- could utilize this: https://github.com/salesforcecli/plugin-trust/blob/0393b906a30e8858816625517eda5db69377c178/src/lib/npmCommand.ts
    const options = { timeout: constants_1.SFDX_RELEASE_NOTES_TIMEOUT, agent: { https: new proxy_agent_1.ProxyAgent() } };
    const body = await (0, got_1.default)(url, options).json();
    // We are only interested in latest and latest-rc, could update this if other tags are desired
    return distTag.includes('rc') ? body['latest-rc'] : body['latest'];
};
exports.getDistTagVersion = getDistTagVersion;
//# sourceMappingURL=getDistTagVersion.js.map