import { Org } from '@salesforce/core';
import { SfCommand } from '@salesforce/sf-plugins-core';
import { Duration } from '@salesforce/kit';
import { ScratchCreateResponse } from '../../../shared/orgTypes';
export declare const secretTimeout = 60000;
export default class EnvCreateScratch extends SfCommand<ScratchCreateResponse> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly aliases: string[];
    static readonly deprecateAliases = true;
    static readonly flags: {
        alias: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        async: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'set-default': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'definition-file': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'target-dev-hub': import("@oclif/core/lib/interfaces").OptionFlag<Org, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'no-ancestors': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        edition: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'no-namespace': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'duration-days': import("@oclif/core/lib/interfaces").OptionFlag<Duration, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        wait: import("@oclif/core/lib/interfaces").OptionFlag<Duration, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'api-version': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'client-id': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'track-source': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        username: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        description: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        name: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        release: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'admin-email': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'source-org': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    run(): Promise<ScratchCreateResponse>;
    private clientSecretPrompt;
}
