import { SfCommand } from '@salesforce/sf-plugins-core';
import { Org } from '@salesforce/core';
export declare class OrgOpenCommand extends SfCommand<OrgOpenOutput> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly aliases: string[];
    static deprecateAliases: boolean;
    static readonly flags: {
        'target-org': import("@oclif/core/lib/interfaces").OptionFlag<Org, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'api-version': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        browser: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        path: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'url-only': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        loglevel: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'source-file': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    private org;
    private conn;
    run(): Promise<OrgOpenOutput>;
    private buildFrontdoorUrl;
    private generateFileUrl;
}
export interface OrgOpenOutput {
    url: string;
    username: string;
    orgId: string;
}
