import { Org, SandboxProcessObject } from '@salesforce/core';
import { Duration } from '@salesforce/kit';
import * as Interfaces from '@oclif/core/lib/interfaces';
import { SandboxCommandBase } from '../../../shared/sandboxCommandBase';
export default class ResumeSandbox extends SandboxCommandBase<SandboxProcessObject> {
    static summary: string;
    static description: string;
    static examples: string[];
    static readonly aliases: string[];
    static readonly deprecateAliases = true;
    static flags: {
        wait: Interfaces.OptionFlag<Duration | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        name: Interfaces.OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'job-id': Interfaces.OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'use-most-recent': Interfaces.BooleanFlag<boolean>;
        'target-org': Interfaces.OptionFlag<Org | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    private flags;
    run(): Promise<SandboxProcessObject>;
    protected getCheckSandboxStatusParams(): string[];
    private createResumeSandboxRequest;
    private resumeSandbox;
    private buildSandboxRequestCacheEntry;
    private verifyIfAuthExists;
}
