import { Interfaces } from '@oclif/core';
import { ScratchOrgCreateOptions } from '@salesforce/core';
import { Duration } from '@salesforce/kit';
import EnvCreateScratch from '../commands/org/create/scratch';
/**
 * Provide the parsed flags
 * Returns the objet necessary to create a scratch org
 */
export declare const buildScratchOrgRequest: (flags: {
    alias: string | undefined;
    async: boolean;
    'set-default': boolean;
    'definition-file': string | undefined;
    'target-dev-hub': import("@salesforce/core").Org;
    'no-ancestors': boolean;
    edition: string | undefined;
    'no-namespace': boolean;
    'duration-days': Duration;
    wait: Duration;
    'api-version': string | undefined;
    'client-id': string | undefined;
    'track-source': boolean;
    username: string | undefined;
    description: string | undefined;
    name: string | undefined;
    release: string | undefined;
    'admin-email': string | undefined;
    'source-org': string | undefined;
} & {
    json: boolean | undefined;
}, clientSecret?: string) => Promise<ScratchOrgCreateOptions>;
