import { Ux } from '@salesforce/sf-plugins-core';
import { ConfigInfo } from '@salesforce/core';
export type Msg = {
    name: string;
    value?: string | boolean | number | null;
    success: boolean;
    location?: string;
    path?: string;
    message?: string;
    error?: Error;
    successes?: Array<{
        message?: string;
        name: string;
    }>;
    failures?: Array<{
        message?: string;
        name: string;
    }>;
    key?: string;
    deprecated?: boolean;
};
export type ConfigResponses = Msg[];
export declare const CONFIG_HELP_SECTION: import("@oclif/core").HelpSection;
export declare const calculateSuggestion: (userEnteredConfig: string) => string;
export declare const buildFailureMsg: (name: string, err: unknown, value?: string) => Msg;
export declare const buildSuccessMsg: (configInfo: ConfigInfo) => Msg;
export declare const output: (ux: Ux, responses: Msg[], command: 'set' | 'unset' | 'list' | 'get', verbose?: boolean) => void;
