import { Org } from '@salesforce/core';
import { Duration } from '@salesforce/kit';
import { Interfaces } from '@oclif/core';
import { MdDeployResult } from '../../../../formatters/mdapi/mdDeployResultFormatter';
import { DeployCommand } from '../../../../deployCommand';
export declare class Report extends DeployCommand {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly state = "deprecated";
    static readonly deprecationOptions: {
        to: string;
        message: string;
    };
    static readonly flags: {
        'api-version': Interfaces.OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        loglevel: Interfaces.OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'target-org': Interfaces.OptionFlag<Org, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        wait: Interfaces.OptionFlag<Duration, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        jobid: Interfaces.OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        verbose: Interfaces.BooleanFlag<boolean>;
        concise: Interfaces.BooleanFlag<boolean>;
        resultsdir: Interfaces.OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        coverageformatters: Interfaces.OptionFlag<string[], import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        junit: Interfaces.BooleanFlag<boolean>;
    };
    private flags;
    private org;
    run(): Promise<MdDeployResult>;
    protected doReport(): Promise<void>;
    protected resolveSuccess(): void;
    protected formatResult(): MdDeployResult;
}
