import { Duration } from '@salesforce/kit';
import { RetrieveResult } from '@salesforce/source-deploy-retrieve';
import { SourceTracking } from '@salesforce/source-tracking';
import { Interfaces } from '@oclif/core';
import { SourceCommand } from '../../../sourceCommand';
import { RetrieveCommandResult } from '../../../formatters/retrieveResultFormatter';
export declare class Retrieve extends SourceCommand {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly requiresProject = true;
    static readonly state = "deprecated";
    static readonly deprecationOptions: {
        to: string;
        message: string;
    };
    static readonly flags: {
        'api-version': {
            char: Interfaces.AlphabetLowercase;
            name: string;
            summary?: string;
            description?: string;
            helpLabel?: string;
            helpGroup?: string;
            env?: string;
            hidden?: boolean;
            required?: boolean;
            dependsOn?: string[];
            exclusive?: string[];
            exactlyOne?: string[];
            relationships?: import("@oclif/core/lib/interfaces/parser").Relationship[];
            deprecated?: true | Interfaces.Deprecation;
            aliases?: string[];
            deprecateAliases?: boolean;
            delimiter?: ",";
            type: "option";
            helpValue?: string;
            options?: string[];
            multiple: false;
            parse: import("@oclif/core/lib/interfaces/parser").FlagParser<string, string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
            defaultHelp?: import("@oclif/core/lib/interfaces/parser").FlagDefaultHelp<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
            input: string[];
            default?: import("@oclif/core/lib/interfaces/parser").FlagDefault<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        } | {
            char: Interfaces.AlphabetLowercase;
            name: string;
            summary?: string;
            description?: string;
            helpLabel?: string;
            helpGroup?: string;
            env?: string;
            hidden?: boolean;
            required?: boolean;
            dependsOn?: string[];
            exclusive?: string[];
            exactlyOne?: string[];
            relationships?: import("@oclif/core/lib/interfaces/parser").Relationship[];
            deprecated?: true | Interfaces.Deprecation;
            aliases?: string[];
            deprecateAliases?: boolean;
            delimiter?: ",";
            type: "option";
            helpValue?: string;
            options?: string[];
            multiple: true;
            parse: import("@oclif/core/lib/interfaces/parser").FlagParser<string, string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
            defaultHelp?: import("@oclif/core/lib/interfaces/parser").FlagDefaultHelp<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
            input: string[];
            default?: import("@oclif/core/lib/interfaces/parser").FlagDefault<string[], import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        };
        loglevel: Interfaces.OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'target-org': Interfaces.OptionFlag<import("@salesforce/core").Org, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        retrievetargetdir: Interfaces.OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        sourcepath: Interfaces.OptionFlag<string[], import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        wait: Interfaces.OptionFlag<Duration, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        manifest: Interfaces.OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        metadata: Interfaces.OptionFlag<string[], import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        packagenames: Interfaces.OptionFlag<string[], import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        tracksource: Interfaces.BooleanFlag<boolean>;
        forceoverwrite: Interfaces.BooleanFlag<boolean>;
        verbose: Interfaces.BooleanFlag<boolean>;
    };
    protected readonly lifecycleEventNames: string[];
    protected retrieveResult: RetrieveResult;
    protected tracking: SourceTracking;
    private resolvedTargetDir;
    private flags;
    private registry;
    run(): Promise<RetrieveCommandResult>;
    protected preChecks(): Promise<void>;
    protected retrieve(): Promise<void>;
    protected resolveSuccess(): void;
    protected formatResult(): Promise<RetrieveCommandResult>;
    private maybeUpdateTracking;
    private wantsToRetrieveCustomFields;
    private moveResultsForRetrieveTargetDir;
    private overlapsPackage;
}
