"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.MdDeployAsyncResultFormatter = void 0;
const os_1 = require("os");
const core_1 = require("@salesforce/core");
const deployAsyncResultFormatter_1 = require("../source/deployAsyncResultFormatter");
core_1.Messages.importMessagesDirectory(__dirname);
const messages = core_1.Messages.loadMessages('@salesforce/plugin-source', 'md.deploy');
class MdDeployAsyncResultFormatter extends deployAsyncResultFormatter_1.DeployAsyncResultFormatter {
    constructor(ux, options, result) {
        super(ux, options, result);
        this.result = result;
    }
    /**
     * Displays async deploy results in human format.
     */
    display() {
        this.ux.log(messages.getMessage('asyncDeployQueued'), os_1.EOL);
        this.ux.log(messages.getMessage('asyncDeployCancel', [this.result.id, this.options.username]));
        this.ux.log(messages.getMessage('asyncDeployReport', [this.result.id, this.options.username]));
    }
}
exports.MdDeployAsyncResultFormatter = MdDeployAsyncResultFormatter;
//# sourceMappingURL=mdDeployAsyncResultFormatter.js.map