import { AsyncResult } from '@salesforce/source-deploy-retrieve';
import { Ux } from '@salesforce/sf-plugins-core';
import { ResultFormatter, ResultFormatterOptions } from '../resultFormatter';
export interface DeployCommandAsyncResult extends DeployAsyncStatus {
    outboundFiles: string[];
    deploys: DeployAsyncStatus[];
}
export interface DeployAsyncStatus {
    done: boolean;
    id: string;
    state: 'Queued';
    status: 'Queued';
    timedOut: boolean;
}
export declare class DeployAsyncResultFormatter extends ResultFormatter {
    protected result: AsyncResult;
    constructor(ux: Ux, options: ResultFormatterOptions, result: AsyncResult);
    /**
     * Get the JSON output from the AsyncDeployResult.
     *
     * @returns a DeployCommandAsyncResult.
     */
    getJson(): DeployCommandAsyncResult;
    /**
     * Displays async deploy results in human format.
     */
    display(): void;
}
