import { SfCommand } from '@salesforce/sf-plugins-core';
export type DisplayUserResult = {
    username: string;
    profileName: string;
    id: string;
    orgId: string;
    accessToken?: string;
    instanceUrl?: string;
    loginUrl?: string;
    alias?: string;
    password?: string;
};
export declare class DisplayUserCommand extends SfCommand<DisplayUserResult> {
    static readonly deprecateAliases = true;
    static readonly aliases: string[];
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly flags: {
        'target-dev-hub': {
            hidden: boolean;
            deprecated: {
                message: string;
            };
            name: string;
            char?: import("@oclif/core/lib/interfaces").AlphabetUppercase | import("@oclif/core/lib/interfaces").AlphabetLowercase | undefined;
            summary?: string | undefined;
            description?: string | undefined;
            helpLabel?: string | undefined;
            helpGroup?: string | undefined;
            env?: string | undefined;
            required?: boolean | undefined;
            dependsOn?: string[] | undefined;
            exclusive?: string[] | undefined;
            exactlyOne?: string[] | undefined;
            relationships?: import("@oclif/core/lib/interfaces/parser").Relationship[] | undefined;
            aliases?: string[] | undefined;
            deprecateAliases?: boolean | undefined;
            delimiter?: "," | undefined;
            type: "option";
            helpValue?: string | undefined;
            options?: string[] | undefined;
            multiple: false;
            parse: import("@oclif/core/lib/interfaces/parser").FlagParser<import("@salesforce/core").Org | undefined, string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
            defaultHelp?: import("@oclif/core/lib/interfaces/parser").FlagDefaultHelp<import("@salesforce/core").Org | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
            input: string[];
            default?: import("@oclif/core/lib/interfaces/parser").FlagDefault<import("@salesforce/core").Org | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        } | {
            hidden: boolean;
            deprecated: {
                message: string;
            };
            name: string;
            char?: import("@oclif/core/lib/interfaces").AlphabetUppercase | import("@oclif/core/lib/interfaces").AlphabetLowercase | undefined;
            summary?: string | undefined;
            description?: string | undefined;
            helpLabel?: string | undefined;
            helpGroup?: string | undefined;
            env?: string | undefined;
            required?: boolean | undefined;
            dependsOn?: string[] | undefined;
            exclusive?: string[] | undefined;
            exactlyOne?: string[] | undefined;
            relationships?: import("@oclif/core/lib/interfaces/parser").Relationship[] | undefined;
            aliases?: string[] | undefined;
            deprecateAliases?: boolean | undefined;
            delimiter?: "," | undefined;
            type: "option";
            helpValue?: string | undefined;
            options?: string[] | undefined;
            multiple: true;
            parse: import("@oclif/core/lib/interfaces/parser").FlagParser<import("@salesforce/core").Org | undefined, string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
            defaultHelp?: import("@oclif/core/lib/interfaces/parser").FlagDefaultHelp<import("@salesforce/core").Org | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
            input: string[];
            default?: import("@oclif/core/lib/interfaces/parser").FlagDefault<(import("@salesforce/core").Org | undefined)[] | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        };
        'target-org': import("@oclif/core/lib/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'api-version': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        loglevel: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    run(): Promise<DisplayUserResult>;
    private print;
}
