"use strict";
/*
 * Copyright (c) 2022, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.AliasesConfig = exports.AliasGroup = void 0;
const configGroup_1 = require("./configGroup");
/**
 * Different groups of aliases. Currently only support orgs.
 */
var AliasGroup;
(function (AliasGroup) {
    AliasGroup["ORGS"] = "orgs";
})(AliasGroup = exports.AliasGroup || (exports.AliasGroup = {}));
class AliasesConfig extends configGroup_1.ConfigGroup {
    static getDefaultOptions() {
        return { ...configGroup_1.ConfigGroup.getOptions(AliasGroup.ORGS, 'alias.json'), isGlobal: true, isState: true };
    }
    // eslint-disable-next-line class-methods-use-this
    setMethod(contents, key, value) {
        contents[key] = value;
    }
}
exports.AliasesConfig = AliasesConfig;
//# sourceMappingURL=aliasesConfig.js.map