"use strict";
/*
 * Copyright (c) 2022, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
/* eslint-disable class-methods-use-this */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokensConfig = void 0;
const configFile_1 = require("./configFile");
class TokensConfig extends configFile_1.ConfigFile {
    static getDefaultOptions() {
        return {
            isGlobal: true,
            isState: true,
            filename: 'tokens.json',
        };
    }
    getMethod(contents, key) {
        return contents[key];
    }
    setMethod(contents, key, value) {
        contents[key] = value;
    }
}
exports.TokensConfig = TokensConfig;
TokensConfig.encryptedKeys = [/token/i, /password/i, /secret/i];
//# sourceMappingURL=tokensConfig.js.map