export declare class CreateUtil {
    static checkInputs(flagValue: string): string;
    static getCommandTemplatesForFiletype(filetype: RegExp, command: string): string[];
    /** Get the names of directories that contain matching template files.
     * This will look in directories under the command/subdir folder.
     * @param command the command name
     * @param filetype optional file name pattern to match on in the subdirectories
     * @param subdir optional subdirectory under `templates/${command}`
     * @return the set of template names
     */
    static getCommandTemplatesInSubdirs(command: string, { filetype, subdir }?: {
        filetype?: RegExp;
        subdir?: string;
    }): string[];
}
