import { Nullable } from '../types';
/**
 * Returns the given `value` if not either `undefined` or `null`, or the given `defaultValue` otherwise if defined.
 * Returns `null` if the value is `null` and `defaultValue` is `undefined`.
 *
 * @param value The value to test.
 * @param defaultValue The default to return if `value` was not defined.
 * @ignore
 */
export declare function valueOrDefault<T>(value: Nullable<T>, defaultValue: Nullable<T>): Nullable<T>;
